---

- hosts: localhost
  gather_facts: no 
  connection: local
  tags: [CSV]
  vars:
    spreadsheet: '{{ playbook_dir }}/template3.xls'  
    dest: '{{ playbook_dir }}/'

  tasks:
    - name: Create CSV from XLS
      xls_to_csv:
        src: '{{ spreadsheet }}' 
        dest: '{{ dest }}' 
        sheets: 
          - 'ATTACHIFCE'
        warn: True

    - debug:
        msg: 'File {{ dest }}{{ item }}.csv has been created'
      loop: '{{ sheet_filenames }}'

- hosts: localhost
  gather_facts: no
  tags: [CSV]

  tasks:
    - name: Export Tenant Info
      csv_to_facts:
        src: '{{ playbook_dir }}/{{ item }}.csv'
      register: mycsvinfooutput
      with_items:
        - 'ATTACHIFCE'
    # - debug:
    #     msg:
    #       - "{{ hostvars['localhost'] }}"
    #       - "{{ hostvars['localhost']['mycsvinfooutput'] }}"

- name: "Configure ACI Tenant part"
  hosts: ACI
  gather_facts: no 
  connection: local
  serial: 1
  vars:
    mycsvinfo: "{{ hostvars['localhost']['mycsvinfooutput'] }}"
    attachifce: "{{ mycsvinfo.results[0]['ansible_facts']['spreadsheet'] }}"
  tasks:
    - name: Attach Standard Interface to EPG
      when: 
          - "'{{ item.PORT_TYPE }}' == 'STD'"
      aci_static_binding_to_epg:
        host: "{{ ansible_host }}"
        username: "{{ vault_user }}"
        #password: '{{ vault_#password }}'
        private_key: '{{ playbook_dir }}/admin.key'
        certificate_name: 'admin'
        validate_certs: no
        tenant: '{{ item.TENANT }}'
        ap: '{{ item.APP_PROFILE }}'
        epg: '{{ item.EPG }}'
        encap_id: '{{ item.VLAN }}'
        deploy_immediacy: immediate
        interface_mode: '{{ item.MODE }}'
        interface_type: switch_port
        pod_id: 1
        leafs: '{{ item.LEAF }}'
        interface: '{{ item.PORT }}'
        state: present
      tags: epg
      loop: '{{ attachifce }}'











